      module Vcmnew
      use kind_spec

C...Created by Pacific-Sierra Research VAST-90 2.06G2  12:29:44   5/18/01
      use Vparam,only: nthp00,npsis,nprofm,nions,nfion,nspray,
     1             nspectm,ntheta,nuam,ntam,lrza,ngdim,nions1
      integer   kalfa,nalfa,nharm0,ibeam
      integer   idrive,kboot,mboot
      integer   ichkmc,nminor,nsp1
      integer   npar,nper,intg,inc,incf
      integer,dimension(nions) :: infi
      real(kind=dp)   betaf
      real(kind=dp)   gamat,abeam,dbeam,aneb
      real(kind=dp) trate,tratte,ttle,concte,vdrfte,umax,tnmaxe,tnmaxi
      real(kind=dp),dimension(nions) :: trati,tratti,ttli,concti,vdrfti
      real(kind=dp),dimension(nuam) :: upar
      real(kind=dp),dimension(ntam) :: uper
      real(kind=dp),dimension(nuam,ntam) :: dsfe,dsfi,fper2,fpar2,fpp2
      real(kind=dp),dimension(nprofm,4) :: epsl,binbd
      real(kind=dp),dimension(nprofm) :: dlob
      real(kind=dp),dimension(nions) :: pdi
      real(kind=dp),dimension(nfion,100) :: pdf
      real(kind=dp),dimension(nions) :: pwcm
      real(kind=dp),dimension(nfion) :: pwcf
      real(kind=dp),dimension(nprofm) :: pwc
      real(kind=dp),dimension(nprofm,nions) :: pwc1
      real(kind=dp),dimension(nprofm,nfion) :: pwc2
      real(kind=dp),dimension(nprofm) :: pwct,pwct1,pwct2,pwc0
      real(kind=dp),dimension(nprofm,ngdim) :: pwcray
      real(kind=dp),dimension(nprofm,nions,ngdim) :: pwc1ray
      real(kind=dp),dimension(nprofm,nfion,ngdim) :: pwc2ray
      real(kind=dp),dimension(nprofm,ngdim) :: pweray
      real(kind=dp),dimension(nprofm,nions,ngdim) :: pwiray
      real(kind=dp),dimension(nprofm,3,ngdim) :: pwfray
      real(kind=dp),dimension(ngdim) :: curay
      real(kind=dp),dimension(nions) :: curay1
      real(kind=dp),dimension(nfion) :: curay2
      real(kind=dp),dimension(ngdim) :: fpwray,fpowe
      real(kind=dp),dimension(nfion,ngdim) :: fpowf
      real(kind=dp),dimension(nions,ngdim) :: fpowi
      real(kind=dp),dimension(nions) :: pwti0
      real(kind=dp),dimension(ngdim) :: effcd
      real(kind=dp),dimension(nions) :: ftpowi
      real(kind=dp),dimension(nfion) :: ftpowf
      real(kind=dp),dimension(ngdim) :: pwedge,frpowi,frpowf,frpow
      real(kind=dp),dimension(nprofm) :: pwit,pwft
      real(kind=dp),dimension(nfion) :: ebkev,bmpwr,azf,atmf,densa
      real(kind=dp),dimension(nfion,nprofm) :: pnfi
      real(kind=dp),dimension(lrza,nfion) :: pnf,zetab
      real(kind=dp),dimension(nfion,nprofm,4) :: tnf
      real(kind=dp),dimension(nfion) :: ecrit,taua0,wca
      real(kind=dp),dimension(nfion,100) :: gamal
      real(kind=dp),dimension(nprofm) :: enbeam,wbeam
      real(kind=dp),dimension(nfion) :: temsa
      real(kind=dp),dimension(nfion,nprofm) :: ptfi
      real(kind=dp),dimension(nfion,nprofm,4) :: ttf
      real(kind=dp),dimension(nfion) :: wpf2c,wpf2,wcf2c,wcf1c,wcf2,wcf
      real(kind=dp),dimension(nthp00,npsis) :: cxc,czc,cy
      real(kind=dp),dimension(nprofm)::denfa,eav,tausd,tau0,paf,
     1   sordt,ecrita
      real(kind=dp),dimension(nions)::denied,tied,cwwk,cwwk1,cwwk2
      real(kind=dp),dimension(nions) ::  zalfai,cwork,deli,da4ti
      real(kind=dp),dimension(nions) ::  da2ti,da4ni,da2ni,da0ni
      real(kind=dp),dimension(nions)::wpi1c,wpi2c,wci1c,wci2c,wpi2,
     1   wci2,
     1   wci,conci,aziomi,rtzom,ay2,ay1
      real(kind=dp)   psi0,rtmime,y1c,yhc,yh,wpe1c,wpe2c,wce1c,wce2c,
     1   wpe2,wce2,wce,apzz,asxy,asxy1,asxye,adxy,adxy1,afour,
     2   atwo,azero,ar1,al1,atwoz,azeroz,a4b,a2b,a0b,a4n,a2n,
     3   a0n
      real(kind=dp)   binb,boutb,boutbrd,binbrd,epsil,wte,eta0,
     1   eta,rprof
     1   ,amprof,cprof,xjop,vloop,btbsp,ftbsps,pde,pdec,pwce,
     2   currf,currfe,currf1,currf2,pwte0,effcdt,ptot,ftpowe,
     3   ftpi,ftpf,ftedge,wfrac,pwxwl,ptedge,ptot0,fpowt,tpowi,
     4   tpowf,wfrac0
      complex gprm,cxet,czt,cztp,czetai,czi,czip,czetat,czti,cztip,cth
      end module Vcmnew
